using System;
using System.Threading;

namespace Quadarax.Foundation.QConsole.Value
{
    public class TimeValue : DateValue
    {

        public TimeValue() : base()
        {

        }

        public TimeValue(DateTime value, string timeFormat) : base(value, timeFormat)
        {
        }

        public TimeValue(DateTime value) : base(value)
        {
            _dateformat = Thread.CurrentThread.CurrentUICulture.DateTimeFormat.ShortTimePattern;
        }
    }
}
